module.exports = {
  create: {
    requestBody: ["!name", "!url", "img_url", "sort"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["name", "url", "img_url", "sort"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        url: "url",
        img_url: "img_url",
        sort: "sort",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["sort", "meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
