'use strict';

const _ = require('lodash');
const meta = require('./.demand.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 部门表管理
class DemandController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.demand;
  }

  async index() {
    const res = await this.service.query(this.ctx.query);
    this.ctx.ok({ ...res });
  }
}

module.exports = CrudController(DemandController, meta);
