'use strict';

const _ = require('lodash');
const meta = require('./.level.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 信息表管理
class LevelController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.level;
  }

  async index() {
    const res = await this.service.query(this.ctx.query);
    this.ctx.ok({ ...res });
  }
}

module.exports = CrudController(LevelController, meta);
