'use strict';

const _ = require('lodash');
const meta = require('./.staff.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 人员表管理
class StaffController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.staff;
  }

  async index() {
    const res = await this.service.query(this.ctx.query);
    this.ctx.ok({ ...res });
  }
}

module.exports = CrudController(StaffController, meta);
